Jimmy Pendry

Joined

220 Experience
2 Lessons Completed
0 Questions Solved

Activity

Actually, I was even dumber than that. I installed Bootstrap 4.6.0 in my project, but I copied text from the docs for Bootstrap 5.

So I didn't really need to change those selectors, I just needed to copy the right text from the Bootstrap docs.

I'll bet you got tricked into using Bootstrap 5 instead of Bootstrap 4 like I did. That means your selectors need to change from:

    $('[data-toggle="tooltip"]').tooltip()
    $('[data-toggle="popover"]').popover()

to

    $('[data-bs-toggle="tooltip"]').tooltip()
    $('[data-bs-toggle="popover"]').popover()
logo Created with Sketch.

Screencast tutorials to help you learn Ruby on Rails, Javascript, Hotwire, Turbo, Stimulus.js, PostgreSQL, MySQL, Ubuntu, and more. Icons by Icons8

© 2022 GoRails, LLC. All rights reserved.